npm command-line interface

# npm-prefix

Display prefix

## Table of contents

- Synopsis
- Description
- Example
- See Also

### Synopsis

    npm prefix [-g]

Note: This command is unaware of workspaces.

### Description

Print the local prefix to standard output. This is the closest parent directory to contain a `package.json` file or `node_modules` directory, unless `-g` is also specified.

If `-g` is specified, this will be the value of the global prefix. See `npm config` for more detail.

### Example

    npm prefix
    /usr/local/projects/foo

    npm prefix -g
    /usr/local

### See Also

- npm root
- npm bin
- npm folders
- npm config
- npmrc